# AmazonCopyRdsSnapshotsParameters Object

## Description <a href="#description" id="description"></a>

Parameters for the Amazon Copy RDS Snapshots action.

## Properties <a href="#properties" id="properties"></a>

### accountNumber <a href="#credentialids" id="credentialids"></a>

Account number of the AWS account containing the RDS snapshots. Must be a string of 12 numeric digits.

Type: `string`

Required: No

### conflictResolutionMethod

Method used when an RDS already exists with the desired snapshot ID in the target region.

Type: `string`

Valid Values:

* `skip`
* `delete-and-recopy`
* `fail-and-stop`
* `fail-and-continue`

Default: `skip`

Required: No

### credentialIds <a href="#credentialids" id="credentialids"></a>

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### instanceIdComparison <a href="#volumeidcomparison" id="volumeidcomparison"></a>

Comparison to use when matching snapshots by their source instance ID. Required when `snapshotIdentificationMethod` is `by-instance-id`.

Type: [RdsInstanceIdComparison](/data-types/rdsinstanceidcomparison-object.md) object

Required: Conditional

### isCopyTags

Indicates whether the snapshot tags will be copied from the source to the target snapshot.

Type: `boolean`

Default: `false`

Required: No

### isIncludeClusterSnapshots <a href="#isdeletefroms3" id="isdeletefroms3"></a>

Indicates whether RDS cluster snapshots (ie. Aurora) should be included as well as db snapshots.

Type: `boolean`

Default: `true`

Required: No

### newerThanDays

Age, in days, used to filter snapshots that are copied. Only snapshots newer than the specified value will be copied. Specify `null` to indicate no age limit.

Type: `integer`

Default: `null`

Required: No

### newSnapshotId

ID of the new snapshots.

Type: `string`

Default: `$(SNAPSHOTID)`

Required: No

### regionNames <a href="#regionnames" id="regionnames"></a>

Regions to use with the action. Omit (or specify `null`) to include "all regions".

Type: Array of `string`

Required: No

### resourceTagComparison <a href="#resourcetagcomparison" id="resourcetagcomparison"></a>

Comparison to use when identifying snapshots by resource tag. Required when `snapshotIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison ](/data-types/resourcetagcomparison-object-1.md)object.

Required: Conditional

### snapshotIdComparison <a href="#volumeidcomparison" id="volumeidcomparison"></a>

Comparison to use when matching snapshots by their ID. Required when `snapshotIdentificationMethod` is `by-snapshot-id`.

Type: [RdsSnapshotIdComparison](/data-types/rdssnapshotidcomparison-object.md) object

Required: Conditional

### snapshotIdentificationMethod

Method to use to identify snapshots to be deleted.

Type: `string`

Valid Values:

* `all-snapshots`
* `by-snapshot-id`
* `by-instance-id`
* `by-resource-tag`

Required: Yes

### snapshotType

Type of snapshot to be copied.

Type: `string`

Valid Values:

* `all`
* `automated`
* `manual`

Default: `all`

Required: No

### tags

Resource tags to add to the new RDS snapshots.

Type: Array of [Tag](/data-types/tag-object.md) object.

Required: No

### targetCredentialId

Credential ID of the AWS credentials to copy the the RDS snapshot. Eg. `cred-12345678`.&#x20;

Type: `string`

Required: No

### targetKmsKeyOverride

ID or alias of the KMS key used to encrypt the RDS snapshots when copied.

Type: `string`

Required: No

### targetOptionGroupName

Name of the RDS option group to assign to the new RDS snapshots

Type: `string`

Required: No

### targetRegionName

System name of the target region into which the snapshots will be copied. Eg. `us-east-1`

Type: `string`

Required: Yes

## Sample JSON <a href="#sample-json" id="sample-json"></a>

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "snapshotIdentificationMethod": "by-resource-tag",
    "resourceTagComparison": {
        "tagName": "skeddly:retention",
        "compareType": "equals",
        "tagValue": "7"
    },
    
    "snapshotType": "all",
    "newerThanDays": 2,
    
    "newSnapshotId": "$(SNAPSHOTID)",
    "isCopyTags": true,
    "tags": [
        {
            "key": "skeddly:copied",
            "value": "$(DATE)"
        }
    ],
    "conflictResolutionMethod": "skip",

    "targetRegionName": "us-west-2"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncopyrdssnapshotsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
